<?php

namespace App\Modelos;

use Core\Database;

class PresupuestoArticulos extends Database
{
    protected $table = 'app_presupuesto_articulos';
    protected $id = 'preart_id';

    public function articulos(int $id_factura)
    {
        return $this->consultar("SELECT * FROM app_presupuesto_articulos pre
        LEFT JOIN app_productos p ON p.pro_id=pre.preart_proid 
        LEFT JOIN app_impuestos imp ON imp.imp_id=pre.preart_idiva 
        WHERE pre.preart_preid=$id_factura")->all();
    }

    public function eliminarArticulos(int $id_factura)
    {
        return $this->consultar("DELETE FROM app_presupuesto_articulos WHERE preart_preid=$id_factura")->run();
    }
}
